package com.ims.eval.controller;


import com.ims.eval.entity.dto.result.R;
import com.ims.eval.entity.Myuser;
import com.ims.eval.service.IUserService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-03-03
 */
@RestController
@RequestMapping("//user")
public class UserController {

	@Autowired
	private IUserService userService;


	//@ImsPreAuth("eval:dataDictionary:edit")
	@PostMapping(value = "/save")
	@ApiOperation(value = "新增(修改)", notes = "新增（修改）")
	public R addAll(@RequestBody List<Myuser> user) {


		AtomicBoolean b = new AtomicBoolean(false);
		user.stream().forEach(i -> {

		b.set(userService.saveOrUpdate(i));

		});


		if (b.get()) {
			return R.ok().data(b);
		} else {
			return R.error().data("保存失败！");
		}
	}


	/**
	 * 查询所有数据
	 * @param id 主键
	 * @param orgId 组织id
	 * @return
	 */
	//@ImsPreAuth("eval:organizationEvaluationRule:view")
	@GetMapping(value = "listAll")
	public R listAll(
		@RequestParam(value = "id", required = false) String id,
		@RequestParam(value = "orgId", required = false) String orgId,
		@RequestParam(value = "unitId", required = false) String unitId) {
		List<Myuser> list = userService.listAll(id, orgId,unitId);
		return R.ok().data(list);
	}


	/**
	 * 查询所有数据
	 * @param id 主键
	 * @return
	 */
	//@ImsPreAuth("eval:organizationEvaluationRule:view")
	@GetMapping(value = "getId")
	public R getByid(
		@RequestParam(value = "id", required = false) String id) {
		Myuser user = userService.getById(id);
		return R.ok().data(user);
	}

}
